/*
* Copyright (c) 2004-2007 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  UIDs for policies that are used by Virtual Phonebook and
*                implemented by an external component
*
*/


#ifndef VPBKPOLICYUID_H
#define VPBKPOLICYUID_H

// Default data string for copy policy plugins
#define KVPbkCopyPolicyDataString "VPbkCopyPolicy"

//////////////////////////////////////////////////////////////////////////
//
// ECom Interface UIDs
//
//////////////////////////////////////////////////////////////////////////

// Virtual Phonebook Sort Policy Interface UID
#define KVPbkSortPolicyInterfaceUID 0x101f87b7

// Virtual Phonebook Find Policy Interface UID
#define KVPbkFindPolicyInterfaceUID 0x101f87b8

// Virtual Phonebook Copy Policy Interface UID
#define KVPbkCopyPolicyInterfaceUID 0x10207279

// Virtual Phonebook Duplicate Find Policy Interface UID
#define KVPbkContactDuplicatePolicyInterfaceUID 0x10281EF4

// Virtual Phonebook Name Construction Policy Interface UID
#define KVPbkContactNameConstructionPolicyInterfaceUID 0x10282346

//////////////////////////////////////////////////////////////////////////
//
// ECom implementation UIDs
//
//////////////////////////////////////////////////////////////////////////

// Virtual Phonebook Sort Policy Implementation UID
#define KVPbkSortPolicyImplementationUID 0x101f87b4

// Virtual Phonebook Find Policy Implementation UID
#define KVPbkFindPolicyImplementationUID 0x101f87b5

// Virtual Phonebook Default Copy Policy Implementation UID
#define KVPbkCopyPolicyImplementationUID 0x1020727a

// Virtual Phonebook Contact Model Sort Plugin Implementation UID
#define KVPbkCntModelSortPluginImplementationUID 0x101f87bb

// Virtual Phonebook Contact Model Find Plugin Implementation UID
#define KVPbkCntModelFindPluginImplementationUID 0x101f87bc

// Virtual Phonebook Duplicate Find Policy Implementation UID
#define KVPbkContactDuplicatePolicyImplementationUID 0x10281EF5

// Virtual Phonebook Name Construction Policy Implementation UID
#define KVPbkContactNameConstructionPolicyImplementationUID 0x10282345

#endif // VPBKPOLICYUID_H
//End of file

